home
/
code
/
khome.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
11b7df8
)
Make a wallpaper setter/selector from favs
author
Siraaj Khandkar
<siraaj@khandkar.net>
Wed, 19 Jan 2022 15:03:37 +0000
(10:03 -0500)
committer
Siraaj Khandkar
<siraaj@khandkar.net>
Wed, 19 Jan 2022 15:03:37 +0000
(10:03 -0500)
home/bin/wallpaper_set
[new file with mode: 0755]
patch
|
blob
diff --git a/home/bin/wallpaper_set
b/home/bin/wallpaper_set
new file mode 100755
(executable)
index 0000000..
7832031
--- /dev/null
+++ b/
home/bin/wallpaper_set
@@ -0,0
+1,7
@@
+#! /bin/sh
+
+set -e
+
+FAVS_FILE=~/fav-wallpapers.txt # TODO Centralize in lib/vars
+
+khomenu -l 50 < "$FAVS_FILE" | awk '{sub("^" $1 " +", ""); print}' | xargs -I% feh --bg-scale '%'
This page took
0.029162 seconds
and
4
git commands to generate.